Skip to main content
POST
Start Charging Session

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

user_id
string
required

Body

Start charge request serializer.

:param evse_id: Evse id of the station to charge at. :param payment_method_id: Stripe id of the payment method which should be used for PAYG. :param car_id: Id of the car to charge.

evse_id
string
required
payment_method_id
string
required

Response

id
string
required
read-only
start_time
string<date-time> | null
required
read-only
end_time
string<date-time> | null
required
read-only
duration
integer | null
required
read-only
consumed_energy
string<decimal> | null
required
read-only
Pattern: ^-?\d{0,5}(?:\.\d{0,3})?$
is_active
boolean
required
read-only
evse_id
string
required
read-only
station_info
object
required
is_partner
boolean
required
read-only
logo_url
string | null
required
read-only

Return station's operator logo url.

user_facing_session_prices
object
required
session_cost
object
required

PAYG summary serializer.

rates
  • 1 - 1
  • 2 - 2
  • 3 - 3
  • 4 - 4
  • 5 - 5
Available options:
1,
2,
3,
4,
5
Required range: 0 <= x <= 32767